'use strict';

var isNumber = require('./isNumber');

module.exports = function calc() {
    var args = Array.prototype.slice.call(arguments, 0);

    args = args.filter(function (n) {
        if (typeof n == 'undefined' || n === 0) {
            return false;
        }

        return true;
    });

    args = args.map(function (n, index) {

        if (isNumber(n)) {
            var sign = n < 0 ? ' - ' : ' + ';

            if (n > 0 && !index) {
                sign = '';
            }

            return sign + Math.abs(n) + 'px';
        }

        return n;
    });

    return 'calc(' + args.join(' ') + ')';
};