react-split-container
=====================

React Split Container

## Install

```sh
$ npm i --save react-split-container
```

## Usage

```jsx
import SplitContainer from 'react-split-container'
import 'react-split-container/index.css'

<SplitContainer
  defaultSplitAt={100}
>
  <div>first child</div>
  <div>second child</div>
</SplitContainer>
```

**DON'T FORGET to include the `index.css` file!!!**

## API & Props

```jsx
import SplitContainer from 'react-split-container'
import 'react-split-container/index.css'

<SplitContainer
  orientation="horizontal"
  defaultSplitAt={-100}
  collapsible={[true, false]}

>
  <div>first child</div>
  <div>second child</div>
</SplitContainer>
```

 * `defaultSplitAt`/`splitAt` - uncontrolled/controlled - where to split. Can use fixed values, percetange (eg: 30%) or `'auto'/'-auto'`.

## License

#### MIT
